[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.GetTextWithoutMask

Gets the text value for the control without formatting applied by an edit mask.

## Declaration

Source position: maskedit.pp line 272

`protected function TCustomMaskEdit.GetTextWithoutMask(`
`Value: TCaption`
`):TCaption;`

## Arguments

`Value` |  | Text value for the control without mask characters or formatting.

## Function result

Value for the control without formatting applied by EditMask.

## Description

GetTextWithoutMask is method used to get the text for the specified Value without the formatting applied by the EditMask. It ensures that any occurrences of SpaceChar not used as a mask literal are replaced with #32. Other mask literals are removed from Value. If the mask indicates it is saved as part of the data, leading or trailing whitespace is trimmed as required.

GetTextWithoutMask is used in the implementation of the RealGetText method.

## See also

TCustomMaskEdit.SpaceChar |  | Contains the value used to represent Space (#32) characters in the control value.
TCustomMaskEdit.EditMask |  | Contains the mask characters classes and literals used to format/obscure the value for the control.
TCustomMaskEdit.RealGetText |  | Gets the value for the Text in the control.